function swapLocation(cityId) {
    var title = $('#location_' + cityId).attr('title');

    $(
        '.wp-block-lazyblock-standort, .location-wrapper > .location-inner-wrapper'
    ).hide();
    $('.wp-block-lazyblock-standort[data-name= "' + title + '"]').show();

    // Standardmäßig Rüsselsheim Aktiv
    $('.location-dot').each(function () {
        $('.location-dot').removeClass('active');
        $('#city-dot-' + cityId).addClass('active');
    });
}

function locationMobile() {
    $('.locations .location-inner-wrapper').each(function () {
        $(this).clone().appendTo('#location-map');
    });

    $('#location-map > div').each(function () {
        $(this)
            .addClass('accordion')
            .removeClass('location-inner-wrapper')
            .css('padding-top', '.5rem');
        var title = $(this).find('h3').html();
        $(this)
            .find('h3')
            .replaceWith('<h4>' + title + '</h4>');
        var elements = $(this).children(':not(h4)');
        $(this).append($('<div class="panel"></div>'));
        elements.appendTo($(this).find('.panel'));
    });
}

function resize_clippaths() {
  $('svg .responsive').each(function() {
    var svg = $(this).closest('svg');
    var width = $(svg).width();

    $(this).css('transform', 'scale('+(width-1)+'%)');
    $(svg).attr('viewBox', '0 0 '+(width+1)+' '+(width+1));
  });
}

$(document).ready(function () {
    $(window).on('scroll', function () {
        // Verkleinert die Höhe des Headers
        if ($(window).width() > 1024) {
            if ($(window).scrollTop() > 0) {
                $('.header').addClass('smaller');
            } else {
                $('.header').removeClass('smaller');
            }
        }
    });

    resize_clippaths();
    $(window).resize(resize_clippaths);


    $('input[type="checkbox"], input[type="radio"]').each(function () {
        $(this)
            .parent()
            .append($('<span class="wpcf7-list-item-label"></span>'));
    });

    $('.locations > div').each(function () {
        $(this).hide();
        var title = $(this).find('h3').html();
        $(this).attr('data-name', title);

        // remove empty leaders and images
        $(this)
            .find('img')
            .each(function () {
                if ($(this).attr('src') == '') {
                    $(this).remove();
                }
            });

        $(this)
            .find('.leader_name')
            .each(function () {
                var text = $(this).html();
                if (text == ': ' || text == ':') {
                    $(this).remove();
                }
            });
    });

    $('#location-map > div').each(function () {
        // remove empty leaders and images
        $(this)
            .find('img')
            .each(function () {
                if ($(this).attr('src') == '') {
                    $(this).remove();
                }
            });

        $(this)
            .find('.leader_name')
            .each(function () {
                var text = $(this).html();
                if (text == ': ') {
                    $(this).remove();
                }
            });
    });

    $(window).scroll(function () {
        var ctaPosBot =
            $('.cta-wrapper').offset().top + $('.cta-wrapper').height();
        var footerPos = $('.footer').offset().top;

        if (footerPos <= ctaPosBot) {
            $('.cta-wrapper').addClass('above-footer');
        } else {
            $('.cta-wrapper').removeClass('above-footer');
        }
    });

    /*Sumit form styling*/
    function createSubmit() {
        var button = document.getElementById('submit-form').value;
        button = button.split(' ');

        var buttonHide = (document.getElementById('submit-form').value = '');

        /* Styling */
        var buttonWrapper = document.createElement('div');
        buttonWrapper.className = 'button-wrapper';

        var element = document.querySelector('#submit-form');
        element.appendChild(buttonWrapper);

        var buttonLink = document.createElement('a');
        buttonLink.className = 'button';
        buttonWrapper.appendChild(buttonLink);

        var buttonTextBlue = document.createElement('span');
        buttonTextBlue.className = 'text-blue';
        buttonLink.appendChild(buttonTextBlue);
        var textBlue = document.createTextNode(button[0]);
        buttonTextBlue.appendChild(textBlue);

        var buttonTextOrange = document.createElement('span');
        buttonTextOrange.className = 'text-orange';
        buttonLink.appendChild(buttonTextOrange);
        var textOrange = document.createTextNode(button[1]);
        buttonTextOrange.appendChild(textOrange);
    }

    /*createSubmit();/*

    /* LOCATION ANIMATIONS */
    $('.cta-toggle').click(function () {
        $('.cta-wrapper').toggleClass('open');
    });

    // ACCORDION TOGGLE ARROW
    $('.accordion').click(function () {
        $(this).toggleClass('open');
    });

    $('p').each(function () {
        if ($(this).html() == '>') {
            $(this).remove();
        }
    });

    /* TOGGLE MOBILE MENU */
    $('#hamburger').click(function () {
        $(this).toggleClass('open');
        $('.mobilenav').slideToggle();
        $('body').toggleClass('no-scroll');
    });

    $('.submenu-arrow').click(function () {
        $(this).toggleClass('open').siblings('.sub-menu').slideToggle();
    });

    /* Akkordeon */
    if ($('.accordion').length != 0) {
        var acc = document.querySelectorAll('.accordion');
        var i;

        for (i = 0; i < acc.length; i++) {
            if (i == 0) {
                acc[0].lastElementChild.style.display = 'block';
            }
            acc[i].addEventListener('click', function () {
                /* Toggle between adding and removing the "active" class,
                to highlight the button that controls the panel */
                this.classList.toggle('active');

                /* Toggle between hiding and showing the active panel */
                var panel = this.lastElementChild;
                if (panel.style.visibility === 'hidden') {
                    panel.style.visibility = 'hidden';
                } else {
                    panel.style.display = 'block';
                }
            });
        }
        var acc = document.querySelectorAll('.accordion');
        var i;

        for (i = 0; i < acc.length; i++) {
            if (i == 0) {
                acc[0].lastElementChild.style.maxHeight =
                    acc[0].lastElementChild.scrollHeight + 'px';
                acc[0].className += ' open';
            }
            acc[i].addEventListener('click', function () {
                this.classList.toggle('active');
                var panel = this.lastElementChild;
                if (panel.style.maxHeight) {
                    panel.style.maxHeight = null;
                } else {
                    panel.style.maxHeight = panel.scrollHeight + 50 + 'px';
                }
            });
        }
    }

    // Change font-size if headline longer then 25 char
    function checkLength() {
        var pageHeadline = document.querySelector('.page-headline');

        if (pageHeadline != null) {
            if (pageHeadline.innerText.length > 25) {
                pageHeadline.className += ' page-headline-long';
            }
        }
    }
    checkLength();

    //Hyphenator Implementierung und Start
    $('p').each(function (index, el) {
        $(this).addClass('hyphenate');
    });
    $('.swiper-textbox')
        .find('h2')
        .each(function () {
            $(this).addClass('hyphenate');
        });

    $('.leader_name').each(function () {
        $(this).removeClass('hyphenate');
    });

    // $('h1').each(function(index, el) {
    //   	$(this).addClass('hyphenate');
    // });
    // $('h2').each(function(index, el) {
    // 	$(this).addClass('hyphenate');
    // });
    // $('h3').each(function(index, el) {
    // 	$(this).addClass('hyphenate');
    // });
    // $('h4').each(function(index, el) {
    // 	$(this).addClass('hyphenate');
    // });
    // $('h5').each(function(index, el) {
    // 	$(this).addClass('hyphenate');
    // });
    // $('h6').each(function(index, el) {
    // 	$(this).addClass('hyphenate');
    // });
    Hyphenator.addExceptions('', 'Projektcontroller');

    Hyphenator.run();
});

(function ($, root, undefined) {
    /* Mobiles Menü auf- und zuklappen */
    $(function () {
        'use strict';
        $(function () {
            /*Mobile Menu Toggle*/
            $('.submenu-arrow').click(function () {
                $(this)
                    .toggleClass('open')
                    .siblings('.sub-menu')
                    .slideToggle(500);
            });
        });
    });
});

// $(function () {
//     $('.slidein-ladestation ').hover(function(){
//         $('.slidein-ladestation .button-wrapper').toggle('normal')
//     });
// });

// Set Swiper-Width on start
$(document).ready(function () {
    setTimeout(function (e) {
        window.dispatchEvent(new Event('resize'));
    }, 1000);

    setTimeout(function (e) {
        if ($('.ajax-load').length > 0) {
            if (com4cookieGetOption(['external_media'])) {
                $('.ajax-load').each(function () {
                    let id = $(this).data('id');
                    let baseURL = $(this).attr('data-baseurl');
                    let container = $(this);
                    $.post(
                        baseURL +
                            '/wp-content/themes/rf-theme/ajax/load_video.php',
                        {
                            id,
                        },
                        function (data) {
                            data = JSON.parse(data);
                            if (data.status == 'success') {
                                container.html(data.video);
                                container.addClass('iframe');
                            }
                        }
                    );
                });
            }
        }
    }, 500);

    $('.video-container.ajax-load p').click(function () {
        if (!com4cookieGetOption('external_media')) {
            openCom4cookies(['external_media']);
            return false;
        }
        // let id = $(this).parent('.ajax-load').data('id');
        // let baseURL = $(this).parent('.ajax-load').attr('data-baseurl');
        // let container = $(this).parent('.ajax-load');
        // $.post(baseURL + '/wp-content/themes/rf-theme/ajax/load_video.php', {
        //     id
        // }, function (data) {
        //     data = JSON.parse(data);
        //     console.log(data);
        //     if (data.status == 'success') {
        //         container.html(data.video);
        //         container.addClass('iframe');
        //     }
        // });
    });

    $('#com4cookies-accept').click(function () {
        setTimeout(function (e) {
            if (!com4cookieGetOption('external_media')) {
                // openCom4cookies(['external_media']);
                return false;
            }
            $('.ajax-load').each(function () {
                let id = $(this).data('id');
                let baseURL = $(this).attr('data-baseurl');
                let container = $(this);
                $.post(
                    baseURL + '/wp-content/themes/rf-theme/ajax/load_video.php',
                    {
                        id,
                    },
                    function (data) {
                        data = JSON.parse(data);
                        if (data.status == 'success') {
                            container.html(data.video);
                            container.addClass('iframe');
                        }
                    }
                );
            });
        }, 500);
    });

    // var i = 1;
    // var set = $('.swiper-slide');
    // var length = set.length;
    // var width = $("#testimonial_slider").width();
    // $('.swiper-slide').each(function(index, el) {
    //     el.setAttribute("style","width:"+width+"px");
    //     if (i == 1) {
    //         el.classList.add("swiper-slide-active");
    //     }
    //     if (i == 2) {
    //         el.classList.add("swiper-slide-next");
    //     }
    //     if (i == length) {
    //         el.classList.add("swiper-slide-prev");
    //     }
    //     i++;
    // });
});

// function quarter() {
//     window.resizeTo(
//       window.screen.availWidth / 2,
//       window.screen.availHeight / 2
//     );
//   }
